getMethodMaterial
READGet method material.
POST /api/v1/items/getMethodMaterial
curl -X POST '<your-host>/api/v1/items/getMethodMaterial' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"materialId": "string"
}'Response
{
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"id": "string",
"itemId": "string",
"itemType": "string",
"kit": true,
"makeMethodId": "string",
"materialMakeMethodId": "string",
"methodOperationId": "string",
"methodType": "Purchase to Order",
"order": 0,
"productionQuantity": 0,
"quantity": 0,
"scrapQuantity": 0,
"sourcingType": "Specified",
"storageUnitIds": "…",
"tags": [
"string"
],
"unitOfMeasureCode": "string",
"updatedAt": "string",
"updatedBy": "string",
"item": {
"name": "string"
}
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"materialId": {
"type": "string"
}
},
"required": [
"materialId"
]
}